/*
 * TimerSessionBeanTest.java
 * JUnit based test
 *
 * Created on February 17, 2006, 3:07 PM
 */

package org.michal;

import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;
import junit.framework.*;
import java.util.logging.Logger;
import javax.ejb.*;

/**
 *
 * @author blaha
 */
public class TimerSessionBeanTest extends TestCase {
    private TimerSessionRemote timer;
    
    public TimerSessionBeanTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
        InitialContext ctx = new InitialContext();
        Object obj = ctx.lookup("ejb/TimerSessionBean");
        timer = ((TimerSessionRemoteHome)PortableRemoteObject.narrow(obj, TimerSessionRemoteHome.class)).create();
    }

    protected void tearDown() throws Exception {
    }

    public static Test suite() {
        TestSuite suite = new TestSuite(TimerSessionBeanTest.class);
        
        return suite;
    }

    /**
     * Test of createTimer method, of class org.michal.TimerSessionBean.
     */
    public void testCreateTimer() throws Exception{
        System.out.println("createTimer");
        TimerHandle handler = timer.createTimer();
        assertNotNull(handler);
    }
    
}
